
// MRTU_Master.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "MRTU_Master.h"
#include "MRTU_MasterDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMRTU_MasterApp

BEGIN_MESSAGE_MAP(CMRTU_MasterApp, CWinAppEx)
	ON_COMMAND(ID_HELP, &CWinApp::OnHelp)
END_MESSAGE_MAP()


// CMRTU_MasterApp construction

CMRTU_MasterApp::CMRTU_MasterApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CMRTU_MasterApp object

CMRTU_MasterApp theApp;


// CMRTU_MasterApp initialization

BOOL CMRTU_MasterApp::InitInstance()
{
	CWinAppEx::InitInstance();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	// of your final executable, you should remove from the following
	// the specific initialization routines you do not need
	// Change the registry key under which our settings are stored
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization
	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	CMRTU_MasterDlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
